Public Member Functions | Data Fields

# QueryStringWindow Struct Reference

Class for the string query window. More...

Inheritance diagram for QueryStringWindow:

## Public Member Functions
| QueryStringWindow (StringID str, StringID caption, uint max_bytes, uint max_chars, const WindowDesc *desc, Window *parent, CharSetFilter afilter, QueryStringFlags flags)
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
virtual void | OnPaint ()
virtual void | SetStringParameters (int widget) const
void | OnOk ()
virtual void | OnClick (Point pt, int widget, int click_count)
virtual void | OnMouseLoop ()
virtual EventState | OnKeyPress (uint16 key, uint16 keycode)
virtual void | OnOpenOSKWindow (int wid)
| Callback for when the OSK window is opened.
## Data Fields
QueryStringFlags | flags
| Flags controlling behaviour of the window.

## Detailed Description

Class for the string query window.

Definition at line 1104 of file misc_gui.cpp.

## Member Function Documentation

virtual void QueryStringWindow::OnOpenOSKWindow | ( | int | wid | ) | `[inline, virtual]`

Callback for when the OSK window is opened.

Parameters:

  | wid | The widget the OSK is opened of.

Reimplemented from QueryStringBaseWindow.

Definition at line 1209 of file misc_gui.cpp.

References ShowOnScreenKeyboard(), WID_QS_CANCEL, and WID_QS_OK.

The documentation for this struct was generated from the following file:

- src/misc_gui.cpp